// --------------------------------------------------------------------------
// Contacts
// --------------------------------------------------------------------------

.contacts {
    padding: 30px 0 0;
    background: #F6F9FB;
    @include breakpoint(md) {
        padding: 33px 0;
        background: #F6F9FB;
        .row {
            align-items: flex-end;
            margin: 0 -25px;
            & > [class^="col-"] {
                padding: 0 25px;
            }
        }
    }
    @include breakpoint(lg) {
        padding: 42px 0 0;
    }
    @include breakpoint(xl) {
        padding: 68px 0 0;
    }
    &--light {
        background: #F6F9FB;
    }
}



.contacts__title {
    font-size: 34px;
    font-weight: 400;
    line-height: 43px;
    margin: 0 0 22px;
    @include breakpoint(md) {
        margin: 0 0 35px;
    }
    @include breakpoint(lg) {
        margin: 0 0 42px;
    }
    @include breakpoint(xl) {
        margin: 0 0 48px;
    }
    @include breakpointMax(lg) {
        font-size: 26px;
        line-height: 30px;
    }
    @include breakpointMax(md) {
        font-size: 22px;
        line-height: 32px;
    }
    @include breakpointMax(sm) {
        font-weight: 500;
    }
    @include breakpointMax(xs) {
        max-width: 176px;
    }
}



.contacts__tabs-control {
    position: relative;
    white-space: nowrap;
    font-size: 0;
    margin: 0 0 23px;
    &:after {
        content: '';
        display: block;
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        border-bottom: 1px solid #828282;
    }
    @include breakpoint(md) {
        margin: 0 0 42px;
    }
    @include breakpoint(lg) {
        margin: 0 0 44px;
    }
    @include breakpoint(xl)  {
        margin: 0 0 58px;
    }
    
}

.contacts__tabs-control-in {
    margin: 0 -20px;
    padding: 0 20px 1px;
    position: relative;
    min-width: 100%;
    overflow: auto;
    &::-webkit-scrollbar {
		display: none;
    }
    @include breakpoint(md) {
        margin: 0;
        padding: 0;
        overflow: visible;
        display: flex;
    }
    @include breakpoint(lg)  {
        margin: 0;
        padding: 0;
        overflow: visible;
    }
    
}

.contacts__tabs-btn {
    display: inline-block;
    vertical-align: top;
    padding: 0 8px 10px;
    position: relative;
    font: 400 16px/32px $fontBase;
    cursor: pointer;
    color: #666666;
    background: none;
    border: none;
    // border-bottom: 1px solid #828282;
    margin: 0 12px 0 0;
    &:after {
        content: '';
        display: block;
        position: absolute;
        bottom: -1px;
        left: 0;
        right: 0;
        height: 3px;
        background: #00757E;
        opacity: 0;
    }
    &:hover {
        color: #00757E;
    }
    svg {
        width: 26px;
        height: 16px;
        margin: 0 12px 0 0;
    }
    &.is-active {
        font-weight: 500;
        color: #00757E;
        &:after {
            opacity: 1;
        }
    }
    @include breakpoint(md) {
        font-size: 20px;
        
    }
    @include breakpoint(lg)  {
        padding: 0 20px 12px;
        font-size: 22px;
    }
}

.contacts__tabs-wrapper {
    position: relative;
}

.contacts__tabs-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;

    opacity: 0;
    visibility: hidden;
    &.is-active {
        opacity: 1;
        visibility: visible;
        position: relative;
        transition: 0.7s;
    }
}


// -------

.contacts__desc {
    @include breakpoint(md) {
        padding: 0 0 64px;
    }
    @include breakpoint(xl) {
        padding: 0 0 108px;
    }
}

.contacts__desc-list {
    margin: 0 0 24px;
    padding: 0;
    list-style: none;
    & > li {
        margin: 0 0 15px;
        &:last-child {
            margin: 0;
        }
    }
    @include breakpoint(lg) {
        margin: 0 0 40px;
        & > li {
            margin: 0 0 40px;
        }
    }
    @include breakpoint(xl) {
        margin: 0;
    }
}

.contacts__desc-item {
    display: block;
    font-size: 16px;
    line-height: 1.625;
    font-weight: 400;
    @include breakpoint(md) {
        font-size: 20px;
    }
    @include breakpoint(lg) {
        font-size: 22px;
    }
    @include breakpoint(xl) {
        display: flex;
    }
}

.contacts__desc-item-address {
    display: block;
    max-width: 333px;
    font-style: normal;
    margin: 0 0 15px;
    
    @include breakpoint(xl) {
        margin: 0 95px 0 0;
        flex: 0 0 50%;
    }
    
    @include breakpointMax(lg) {
        &:before {
            content: '';
            display: inline-block;
            vertical-align: middle;
            width: 7px;
            height: 7px;
            background: #333;
            border-radius: 50%;
            margin: 0 10px 0 0;
        }
    }
}

.contacts__desc-item-worktime {
    display: none;
    @include breakpoint(xl) {
        display: block;
        margin: 0;
        font-size: 22px;
    }
}


// --------

.contacts__desc-worktime {
    display: block;
    font-size: 14px;
    color: #666666;
    margin: 0;
    @include breakpoint(md) {
        font-size: 20px;
    }
    @include breakpoint(lg) {
        font-size: 22px;
    }
    @include breakpoint(xl) {
        display: none;
    }
}

// -------

.contacts__info {
    padding: 72px 0 53px;
    position: relative;
    font-size: 16px;
    @include breakpoint(md) {
        padding: 0 0 64px;
        font-size: 20px;
    }
    @include breakpoint(lg) {
        font-size: 22px;
        display: flex;
        align-items: center;
    }
    @include breakpoint(xl) {
        flex-direction: column;
        align-items: flex-end;
        padding: 0 0 108px;
    }
}

.contacts__info-social {
    margin: 0;
    padding: 0;
    list-style: none;
    position: absolute;
    right: 0;
    bottom: -25px;
    display: flex;
    align-items: center;
    z-index: 100;
    & > li {
        margin: 0 14px 0 0;
        &:last-child {
            margin: 0;
        }
    }
    @include breakpoint(md) {
        bottom: -30px;
        & > li {
            margin: 0 18px 0 0;
        }
    }
    @include breakpoint(lg) {
        position: relative;
        bottom: 0;
        & > li {
            margin: 0 20px 0 0;
        }
    }
    @include breakpoint(xl) {
        order: 1;
        margin: 0 0 26px;
    }
}

.contacts__info-social-link {
    display: block;
    width: 50px;
    height: 50px;
    transition: opacity 0.25s;
    svg {
        display: block;
        width: 100%;
        height: 100%;
        &.icon-social-telegram {
            color: #0088CC;
        }
        &.icon-social-whatsapp {
            color:#25D366;
        }
    }
    &:hover {
        opacity: 0.7;
    }
    @include breakpoint(md) {
        width: 60px;
        height: 60px;
    }
}

.contacts__info-list {
    margin: 0;
    padding: 0;
    list-style: none;
    li > a {
        text-decoration: none;
        color: #333333;
    }

    @include breakpoint(lg) {
        margin: 0 58px 0 0;
    }
    @include breakpoint(xl) {
        order: 2;
        margin: 0;
    }
}


.contacts__map {
    height: 250px;
    background: #ccc;
    @include breakpoint(md) {
        height: 423px;
    }
    @include breakpoint(lg) {
        height: 406px;
    }
    @include breakpoint(xl) {
        height: 573px;
    }
}

.contacts__text {
    display: block;
    font-size: 18px;
    line-height: 1.4;
    font-weight: 400;
    margin: 0 0 30px;
    max-width: 900px;
    @include breakpoint(lg) {
        font-size: 20px;
    }
    @include breakpoint(xl) {
        font-size: 22px;
    }
}

.contacts__form {
    padding: 0 0 40px;
    .ui-placeholder, .ui-check {
        margin: 0 0 34px;
    }
    @include breakpoint(md) {
        max-width: 458px;
    }
    @include breakpoint(lg) {
        max-width: none;
    }
    @include breakpoint(xl) {
        max-width: 900px;
        padding: 0 0 100px;
    }
}

.contacts_map {
    overflow: hidden;

    @include breakpointMax(xl) {
        height: 407px;
    }

    @include breakpointMax(lg) {
        height: 423px;
    }

    @include breakpointMax(sm) {
        height: 250px;
    }
}